Skip to content

getTrialBalance

READ

Get trial balance.

POST /api/v1/accounting/getTrialBalance
curl -X POST '<your-host>/api/v1/accounting/getTrialBalance' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "startDate": "string",
    "endDate": "string"
  }'
Response
{
  "results": [
    {
      "accountClass": "Expense",
      "accountId": "string",
      "accountName": "string",
      "accountNumber": "string",
      "creditBalance": 0,
      "debitBalance": 0,
      "incomeBalance": "Balance Sheet",
      "netChange": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "startDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "endDate": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "startDate",
    "endDate"
  ]
}